export function getAggregations(query: any): any[];
export function addAggregation(query: any, aggregation: any): any;
export function updateAggregation(query: any, index: any, aggregation: any): any;
export function removeAggregation(query: any, index: any): any;
export function isBareRows(query: any): boolean;
export function getFilters(query: any): any;
export function addFilter(query: any, filter: any): any;
export function updateFilter(query: any, index: any, filter: any): any;
export function removeFilter(query: any, index: any): any;
export function canAddFilter(query: any): boolean;
export { getFilterClause } from "./filter";
